%define upstream_name    Dist-Zilla-PluginBundle-RJBS
%define upstream_version 1.000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    See what the mantissa for an rjbs-style version is today
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Repository)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionFromGit)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This is the plugin bundle that RJBS uses. It is equivalent to:

  [@Filter]
  bundle = @Classic
  remove = PodVersion
  remove = MetaYAML

  [AutoVersion]
  [MetaJSON]
  [NextRelease]
  [PodWeaver]
  [Repository]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Apr 17 2011 Funda Wang <fwang@mandriva.org> 1.0.0-2mdv2011.0
+ Revision: 653917
- add BR
- rebuild for updated spec-helper

* Mon Sep 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 576298
- update to 1.000

* Sat Aug 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.101.620-1mdv2011.0
+ Revision: 569740
- update to 0.101620

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 0.101.40-1mdv2011.0
+ Revision: 536459
- update to 0.101040

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.910-1mdv2010.1
+ Revision: 532145
- update to 0.100910

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.890-1mdv2010.1
+ Revision: 530260
- update to 0.100890

* Sun Mar 07 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.650-1mdv2010.1
+ Revision: 515361
- update to 0.100650

* Tue Feb 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.500-1mdv2010.1
+ Revision: 510076
- update to 0.100500

* Fri Feb 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.490-1mdv2010.1
+ Revision: 508049
- update to 0.100490

* Mon Feb 01 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.310-1mdv2010.1
+ Revision: 498976
- update to 0.100310

* Tue Jan 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.93.580-1mdv2010.1
+ Revision: 490166
- import perl-Dist-Zilla-PluginBundle-RJBS


* Tue Jan 12 2010 cpan2dist 0.093580-1mdv
- initial mdv release, generated with cpan2dist
